Categories:
  - Connectivity
License: MIT
AuthorName: Tien Do Nam
AuthorWebSite: https://tienisto.com
WebSite: https://localsend.org
SourceCode: https://github.com/localsend/localsend
IssueTracker: https://github.com/localsend/localsend/issues
Changelog: https://github.com/localsend/localsend/blob/main/assets/CHANGELOG.md

AutoName: LocalSend

RepoType: git
Repo: https://github.com/localsend/localsend.git
Binaries: https://github.com/localsend/localsend/releases/download/v%v/LocalSend-%v.apk

Builds:
  - versionName: 1.5.2
    versionCode: 16
    commit: v1.5.2
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - ios
      - macos
      - linux
      - windows
      - web
    prebuild:
      - cd ..
      - mv org.localsend.localsend_app /tmp/build
      - pushd /tmp/build/
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
      - popd
      - mv /tmp/build org.localsend.localsend_app
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - cd ..
      - mv org.localsend.localsend_app /tmp/build
      - pushd /tmp/build/
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter pub run build_runner build -d
      - submodules/flutter/bin/flutter build apk
      - popd
      - mv /tmp/build org.localsend.localsend_app

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.2
CurrentVersionCode: 16
